<template>
<div>
    <header class="mui-bar mui-bar-nav">
			<h1 class="mui-title">就餐详情</h1>
			<a class="mui-action-back mui-icon mui-icon-left-nav mui-pull-left"></a>
		</header>
		<div class="mui-content vongi-wordcard vongi-eat-dat">
			<div class="vongi-wordcard-center mt-10">
				<div class="flew-sp flew-items eat-dat-tit">
					消费金额
					<h1>{{info.categoryAmount}}</h1>
				</div>
				<ul class="mui-table-view">
					<li class="mui-table-view-cell mui-media">
						<div class="mui-media-body">交易类型</div>
						<span>{{info.categoryN}}</span>
					</li>
					<li class="mui-table-view-cell mui-media">
						<div class="mui-media-body">交易时间</div>
						<span>{{info.recordTime}}</span>
					</li>
					<li class="mui-table-view-cell mui-media">
						<div class="mui-media-body">流水单号</div>
						<span class="colorf6f448">{{id}}</span>
					</li>
					<li class="mui-table-view-cell mui-media">
						<div class="mui-media-body">备注</div>
						<span>{{info.remark}}</span>
					</li>
				</ul>
			</div>
		</div>
		<loading :visible="isLoading"></loading>
</div>
</template>


<script>
	import * as API from '@/apis-xsy/meal'
	import  Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import TopHeader from '$project/components/TopHeader.vue'
	 
	
	export default {
		name: '',
		components: {
			Common,
			Loading,
			TopHeader 
		},
		data() {
			return {
				id:this.$route.query.id,
				pageTitle: '申请调班',
				info:{},
				isLoading: false,
				 
			}
		},
		created() {
	 
		},
		methods: {
			 
			 
			getInfo(){
				this.isLoading = true;
					 
				API.personDiningDetail(this.id).then(response => {
					this.info=response;
				 
					this.isLoading = false;
				}).catch(error => {
					this.isLoading = false;
					mui.toast(error);
				})
			},
			asynCallBack() {
	
			},
		
		},
		mounted() {
			this.getInfo();
			
		},
		destroyed() {},
	
	}
</script>

<style src="$project/assets/css/iconfont.css"></style>
<style scoped src="$project/assets/css/xpwyfyy.css"></style>
<style src="$project/assets/css/xsy.css"></style>
<style>
</style>
